> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post exchange rate series



## OpenAPI

````yaml Currency post /exchangeRateSeries
openapi: 3.0.1
info:
  title: Currency
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/currency/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /exchangeRateSeries:
    post:
      operationId: postExchangerateseries
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RateSeriesRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    RateSeriesRequest:
      required:
        - base
        - endDate
        - startDate
        - symbols
      type: object
      properties:
        base:
          type: string
        symbols:
          type: string
        startDate:
          type: string
        endDate:
          type: string
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````